import { UploadFile } from './interface';
export declare function T(): boolean;
export declare function fileToObject(file: UploadFile): UploadFile;
/**
 * 生成Progress percent: 0.1 -> 0.98
 *   - for ie
 */
export declare function genPercentAdd(): (s: number) => number;
export declare function getFileItem(file: UploadFile, fileList: UploadFile[]): UploadFile;
export declare function removeFileItem(file: UploadFile, fileList: UploadFile[]): UploadFile[] | null;
export declare function previewImage(file: File | Blob): Promise<string>;
/**
 * 获取部分文件类型
 * @param filename 文件名
 * @returns 文件类型
 */
export declare function getFileType(filename: string): string;
export declare function getFileSizeStr(filesize: number): string;
export declare const isImageUrl: (file: UploadFile) => boolean;
